Loading...
Searching...
No Matches
rdb.c File Reference

## Data Structures

struct | AmigaIds
struct | PartitionBlock

## Macros

#define | _(String)
#define | AMIGA(pos)
#define | AMIGA_MAX_PARTITIONS 128
#define | AMIGA_RDB_NOT_FOUND ((uint32_t)0xffffffff)
#define | IDNAME_BADBLOCK (uint32_t)0x42414442 /* 'BADB' */
#define | IDNAME_BOOT (uint32_t)0x424f4f54 /* 'BOOT' */
#define | IDNAME_FILESYSHEADER (uint32_t)0x46534844 /* 'FSHD' */
#define | IDNAME_FREE (uint32_t)0xffffffff
#define | IDNAME_LOADSEG (uint32_t)0x4C534547 /* 'LSEG' */
#define | IDNAME_PARTITION (uint32_t)0x50415254 /* 'PART' */
#define | IDNAME_RIGIDDISK (uint32_t)0x5244534B /* 'RDSK' */
#define | LINK_END (uint32_t)0xffffffff
#define | LNK(pos)
#define | LNK2(pos)
#define | MAX(a, b)
#define | MAX_RDB_BLOCK (RDB_LOCATION_LIMIT + 2 * AMIGA_MAX_PARTITIONS + 2)
#define | PART(pos)
#define | PBFB_BOOTABLE 0 /* this partition is intended to be bootable */
#define | PBFB_LVM 3 /* this partition is intended to be part of */
#define | PBFB_NOMOUNT 1 /* do not mount this partition (e.g. manually */
#define | PBFB_RAID 2 /* this partition is intended to be part of */
#define | PBFF_BOOTABLE 1L /* (expected directories and files exist) */
#define | PBFF_LVM 8L /* a LVM volume group */
#define | PBFF_NOMOUNT 2L /* mounted, but space reserved here) */
#define | PBFF_RAID 4L /* a RAID array */
#define | RDB_LOCATION_LIMIT 16
#define | RDSK(pos)

## Functions

void | ped_disk_amiga_done ()
void | ped_disk_amiga_init ()
| PT_define_limit_functions (amiga)

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## AMIGA

#define AMIGA | ( |  | pos | ) |

Value:
((struct AmigaBlock *)(pos))

## AMIGA_MAX_PARTITIONS

#define AMIGA_MAX_PARTITIONS 128

## AMIGA_RDB_NOT_FOUND

#define AMIGA_RDB_NOT_FOUND ((uint32_t)0xffffffff)

## IDNAME_BADBLOCK

#define IDNAME_BADBLOCK (uint32_t)0x42414442 /* 'BADB' */

## IDNAME_BOOT

#define IDNAME_BOOT (uint32_t)0x424f4f54 /* 'BOOT' */

## IDNAME_FILESYSHEADER

#define IDNAME_FILESYSHEADER (uint32_t)0x46534844 /* 'FSHD' */

## IDNAME_FREE

#define IDNAME_FREE (uint32_t)0xffffffff

## IDNAME_LOADSEG

#define IDNAME_LOADSEG (uint32_t)0x4C534547 /* 'LSEG' */

## IDNAME_PARTITION

#define IDNAME_PARTITION (uint32_t)0x50415254 /* 'PART' */

## IDNAME_RIGIDDISK

#define IDNAME_RIGIDDISK (uint32_t)0x5244534B /* 'RDSK' */

## LINK_END

#define LINK_END (uint32_t)0xffffffff

## LNK

#define LNK | ( |  | pos | ) |

Value:
((struct LinkedBlock *)(pos))

## LNK2

#define LNK2 | ( |  | pos | ) |

Value:
((struct Linked2Block *)(pos))

## MAX

#define MAX | ( |  | a,
|  |  | b )

Value:
((a) < (b) ? (b) : (a))

## MAX_RDB_BLOCK

#define MAX_RDB_BLOCK (RDB_LOCATION_LIMIT + 2 * AMIGA_MAX_PARTITIONS + 2)

## PART

#define PART | ( |  | pos | ) |

Value:
((struct PartitionBlock *)(pos))
PartitionBlock
Definition amiga.h:20

## PBFB_BOOTABLE

#define PBFB_BOOTABLE 0 /* this partition is intended to be bootable */

## PBFB_LVM

#define PBFB_LVM 3 /* this partition is intended to be part of */

## PBFB_NOMOUNT

#define PBFB_NOMOUNT 1 /* do not mount this partition (e.g. manually */

## PBFB_RAID

#define PBFB_RAID 2 /* this partition is intended to be part of */

## PBFF_BOOTABLE

#define PBFF_BOOTABLE 1L /* (expected directories and files exist) */

## PBFF_LVM

#define PBFF_LVM 8L /* a LVM volume group */

## PBFF_NOMOUNT

#define PBFF_NOMOUNT 2L /* mounted, but space reserved here) */

## PBFF_RAID

#define PBFF_RAID 4L /* a RAID array */

## RDB_LOCATION_LIMIT

#define RDB_LOCATION_LIMIT 16

## RDSK

#define RDSK | ( |  | pos | ) |

Value:
((struct RigidDiskBlock *)(pos))

## Function Documentation

## ped_disk_amiga_done()

void ped_disk_amiga_done | ( |  | ) |

## ped_disk_amiga_init()

void ped_disk_amiga_init | ( |  | ) |

## PT_define_limit_functions()

PT_define_limit_functions | ( | amiga |  | ) |